Subject: bug#47899: Shepherd Loses Track of Tor Service

From: Noah Landis <[email-masked]>
Date: Mon, 19 Apr 2021 19:16:55 +0000

I was trying to replicate my system on another machine and when I
finished I realised I could not restart tor. After that I was frustrated
and did a fresh install and after running 'guix pull' and 'sudo guix
system reconfigure /etc/config.scm' tor could still not be
started. I went on the irc and nckx told me to run 'pgrep tor' which
returned a number. After running 'sudo kill that-number' and 'sudo herd
enable tor && sudo herd restart tor', the tor service could be
started. I then rebooted and it once again could not be started, yet
'prgep tor' returned a number.

Thanks!

-- 
Noah Landis  <[email-masked]>
GPG key = 3D5E 7A7A 0DF1 B4D8 669C F3EE 30B8 3188 A3AF F882
Confidentiality cannot be guaranteed on emails sent or received unencrypted